'use strict';

const defaultProtocol = 'https:';
const TOKEN_KEY = '_dx_constid_tk';
const DEFAULT_TIMEOUT = 6000; // 默认超时时间

module.exports = (options = {}) => {
  const protocol = options.protocol || defaultProtocol;
  const cdn = `${protocol}//cdn.dingxiang-inc.com`;
  const apiServer = options.apiServer || `${protocol}//cap.dingxiang-inc.com`;
  const piCdn = `${protocol}//static.dingxiang-inc.com/picture`;
  return {
    dx: '_dx',
    prefix: 'dx_captcha',
    timeout: options.timeout || DEFAULT_TIMEOUT,
    // 超时时间
    picCdn: options.picCDN || piCdn,
    tokenKey: TOKEN_KEY,
    apiServer,
    apiApply: apiServer + '/api/a',
    // GET
    apiApply2: apiServer + '/api/a2',
    // GET
    apiApply3: apiServer + '/api/a3',
    // GET
    apiVerify: apiServer + '/api/v1',
    // POST
    apiVerify2: apiServer + '/api/v2',
    // POST
    apiVerify3: apiServer + '/api/v3',
    // POST
    apiTokenVerify: apiServer + '/api/tokenVerify' // GET

  };
};
