/**
 * @author oldj
 * @blog https://oldj.net
 */
'use strict';

let indexOf;

if (typeof Array.prototype.indexOf === 'function') {
  indexOf = function (haystack, needle) {
    return haystack.indexOf(needle);
  };
} else {
  indexOf = function (haystack, needle) {
    let i = 0;
    let length = haystack.length;
    let idx = -1;
    let found = false;

    while (i < length && !found) {
      if (haystack[i] === needle) {
        idx = i;
        found = true;
      }

      i++;
    }

    return idx;
  };
}

export default indexOf;