import { isArray } from './isType';
import map from './map'

/**
 * 通用循环，传入的参数可以是数组或对象
 * @param o {Array|Object}
 * @param fn {Function}
 */


export default (o, fn) => {
  console.log('debug:utils:loop:o', o)
  console.log('debug:utils:loop:fn', fn)
  let results;

  if (isArray(o)) {
    results = map(o, fn);
  } else {
    // object
    results = [];

    for (let k in o) {
      if (Object.prototype.hasOwnProperty.call(o, k)) {
        results.push(fn(o[k], k));
      }
    }
  }

  return results;
};