/**
 * @author oldj
 * @blog https://oldj.net
 */
'use strict';
import * as common_lang from '../../captchaCommon/lang/index'
import mix from '../../captchaCommon/utils/mix'

import cn from './cn'
import en from './en'

const local = {
  cn,
  en
};

export default (name, custom_language) => {
  if (!custom_language || typeof custom_language !== 'object') {
    custom_language = {};
  }

  if (Object.prototype.hasOwnProperty.call(local, name)) {
    return mix({}, common_lang[name] || {}, local[name], custom_language);
  } // 指定语言不存在，返回默认语言（中文）


  return mix({}, common_lang.cn, local.cn, custom_language);
};